Announcement

Collapse
No announcement yet.

Cannot use Substance Plugin on source-built Unreal Engine 4.23 (Manjaro Linux)

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

    Cannot use Substance Plugin on source-built Unreal Engine 4.23 (Manjaro Linux)

    I'm sorry if this isn't the correct thread. I didn't think there was a more appropriate spot:

    I've moved to a Manjaro Linux workstation about three weeks ago, and am having a difficult time getting Substance to work on Unreal Engine (4.23)

    Originally, I tried copy/pasting the Unreal Marketplace downloaded version of the Substance plugin (Windows), but I came up with an incompatibility error and Unreal Editor would not launch.

    I later learned about the plugin downloads from source posted in the Substance forum at this URL: https://forum.substance3d.com/index....c,30568.0.html

    While I can get the plugin to show up in Unreal Editor's Plugins listings, Enabling the plugin causes the editor to encounter the same issues, but with the added effect of the Uproject file is no longer opening at all. (I'm not worried about that, as I'm experimenting on a duplicate of my actual project file.)

    This is what I see in the source-built Unreal Editor 4.23's Plugins menu.


    When I enable the plugin and do the mandatory editor restart, this message pops up:


    This is shown in bash:


    Upon clicking "Yes" to rebuild, this occurs in bash (Beginning at "Running Mono..."):
    https://justpaste.it/3qe6e

    My Uproject file "AS_Substance" fails to open.


    Selecting not to rebuild skips straight to the error where the Uproject will not open anymore.

    As there is no working UE4 launcher for Linux that can access the Marketplace, I cannot download it from the Marketplace. I seem to have this issue when I use the plugin from source posted on the forementioned forum. Would anyone be able to point me in the right direction please?

    Thank you for your time!

    #2
    +1 I see same error in 2018 on Linux Mint 18 x64.
    UE Substance, unfortunately i forgot about install this.
    Using hardware: Ryzen 1500, GTX 1060, OCZ Vertex 256Gb.

    +1 - no UE4 Launcher/downloader for Linux found.

    Comment

    Working...
    X